Bug 60385 - kicker segfaults on startup
kicker segfaults on startup
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-27 01:09 EST by Chris Ricker
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-27 09:44:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-02-27 01:09:06 EST
This is with the latest KDE from errata (kdebase-2.2.2-1).

When I log in and KDE starts up, kicker segfaults.  Here's the backtrace:

(no debugging symbols found)...(no debugging symbols found)...
0x40e4cca9 in __wait4 () from /lib/i686/libc.so.6
#0  0x40e4cca9 in __wait4 () from /lib/i686/libc.so.6
#1  0x40ec86b4 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x405fd1e8 in KCrash::defaultCrashHandler () from /usr/lib/libkdecore.so.3
#3  <signal handler called>
#4  0x4000ad2a in _dl_relocate_object () at dl-reloc.c:75
#5  0x40eab659 in dl_open_worker (a=0xbfffc6f0) at dl-open.c:294
#6  0x4000d7b3 in _dl_catch_error (objname=0xbfffc6e8, errstring=0xbfffc6ec, 
    operate=0x40eab190 <dl_open_worker>, args=0xbfffc6f0) at dl-error.c:152
#7  0x40eab7ae in _dl_open (file=0x816c380 "/usr/lib/libtaskbarapplet.so.1", 
    mode=-2147483647, caller=0x406775d5) at dl-open.c:407
#8  0x406d1375 in dlopen_doit (a=0xbfffc860) at dlopen.c:39
#9  0x4000d7b3 in _dl_catch_error (objname=0x406d31c4, errstring=0x406d31c8, 
    operate=0x406d1340 <dlopen_doit>, args=0xbfffc860) at dl-error.c:152
#10 0x406d16fb in _dlerror_run (operate=0x406d1340 <dlopen_doit>, 
    args=0xbfffc860) at dlerror.c:130
#11 0x406d1326 in __dlopen_check (
    file=0x816c380 "/usr/lib/libtaskbarapplet.so.1", mode=1) at dlopen.c:53
#12 0x406775d5 in sys_dl_open () from /usr/lib/libkdecore.so.3
#13 0x40674de0 in tryall_dlopen () from /usr/lib/libkdecore.so.3
#14 0x40674f01 in find_module () from /usr/lib/libkdecore.so.3
#15 0x40675f81 in lt_dlopen () from /usr/lib/libkdecore.so.3
#16 0x4103b800 in KickerPluginManager::loadApplet () from /usr/lib/kicker.so
#17 0x41060093 in InternalAppletContainer::InternalAppletContainer ()
   from /usr/lib/kicker.so
#18 0x4104d4bd in ContainerArea::defaultContainerConfig ()
   from /usr/lib/kicker.so
#19 0x4104a529 in ContainerArea::init () from /usr/lib/kicker.so
#20 0x41047dd2 in Panel::Panel () from /usr/lib/kicker.so
#21 0x41046d52 in KickerApp::KickerApp () from /usr/lib/kicker.so
#22 0x41047476 in main () from /usr/lib/kicker.so
#23 0x0804d0c4 in strcpy ()
#24 0x0804dca9 in strcpy ()
#25 0x0804e136 in strcpy ()
#26 0x0804f5a8 in strcpy ()
#27 0x40dae627 in __libc_start_main (main=0x804ef70 <strcpy+16888>, argc=3, 
    ubp_av=0xbfffe974, init=0x804a4d0 <_init>, fini=0x804fd10 <_fini>, 
    rtld_fini=0x4000dcc4 <_dl_fini>, stack_end=0xbfffe96c)
    at ../sysdeps/generic/libc-start.c:129
Comment 1 Bernhard Rosenkraenzer 2002-02-27 05:49:42 EST
By any chance, are you using an NVidia or Neomagic graphics card? In that case, you need 
to turn off Antialiasing (X bug).
Comment 2 Chris Ricker 2002-02-27 09:44:34 EST
It is an NVidia card (TNT2).

Does it help to use the binary drivers from NVidia, or the open source drivers,
or is anti-aliasing just always broken no matter what driver is used?
Comment 3 Bernhard Rosenkraenzer 2002-03-04 06:15:49 EST
I don't have an NVidia card, so I can't tell. 
Removing ~/.kde/share/config/kdeglobals should "fix" the problem by disabling 
antialiasing, though. 

Note You need to log in before you can comment on or make changes to this bug.